Maintenance Dispatch Work Center
The maintenance dispatch work center resource.
/maintenanceDispatchWorkCenterList maintenance dispatch work centers
Retrieve a paginated list of maintenance dispatch work centers. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchWorkCenter?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"workCenterId": "xyz789",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]/maintenanceDispatchWorkCenterRetrieve a maintenance dispatch work center
Fetch a single maintenance dispatch work center by filtering on `id`.
Query parameters
idstringMatch on the maintenance dispatch work center's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceDispatchWorkCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"workCenterId": "xyz789",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchWorkCenterCreate a maintenance dispatch work center
Create a new maintenance dispatch work center.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
workCenterIdstringrequiredReferences workCenter.id
companyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/maintenanceDispatchWorkCenter \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789","workCenterId":"xyz789","companyId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"workCenterId": "xyz789",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchWorkCenterUpdate a maintenance dispatch work center
Update an existing maintenance dispatch work center, matched on `id`.
Body parameters
maintenanceDispatchIdstringrequiredReferences maintenanceDispatch.id
workCenterIdstringrequiredReferences workCenter.id
companyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/maintenanceDispatchWorkCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceDispatchId":"xyz789"}'{
"id": "abc123def456",
"maintenanceDispatchId": "xyz789",
"workCenterId": "xyz789",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}/maintenanceDispatchWorkCenterDelete a maintenance dispatch work center
Delete a maintenance dispatch work center, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the maintenance dispatch work center to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/maintenanceDispatchWorkCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'